# Class HistoryPageSaveablePart

java.lang.Object
org.eclipse.team.ui.SaveablePartAdapter
org.eclipse.team.ui.PageSaveablePart
org.eclipse.team.ui.history.HistoryPageSaveablePart

All Implemented Interfaces:
  `IContentChangeListener, IAdaptable, ISaveableWorkbenchPart, ISaveablePart, IWorkbenchPart`

@Deprecated public class HistoryPageSaveablePart extends PageSaveablePart
Deprecated.
use `HistoryPageCompareEditorInput`
Displays a history page combined with the compare/merge infrastructure. This only works properly if the history page adapts to an `IHistoryCompareAdapter`.

Since:
  3.2

## Field Summary

### Fields inherited from interface ISaveableWorkbenchPart

`PROP_DIRTY`

### Fields inherited from interface IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`HistoryPageSaveablePart(Shell shell, CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`contentChanged(IContentChangeNotifier source)`
Deprecated.
`protected Control`
`createPage(Composite parent, ToolBarManager toolBarManager)`
Deprecated.
`void`
`dispose()`
Deprecated.
`protected ICompareInput`
`getCompareInput(ISelection selection)`
Deprecated.
`protected final ISelectionProvider`
`getSelectionProvider()`
Deprecated.
`String`
`getTitle()`
Deprecated.
`Image`
`getTitleImage()`
Deprecated.
`protected void`
`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
`static boolean`
`showHistoryInDialog(Shell shell, Object object)`
Deprecated.

### Methods inherited from class PageSaveablePart

`createPartControl, doSave, getControl, getShell, isDirty, prepareCompareInput, setDirty, setNavigator, setPageDescription, setShowContentPanes`

### Methods inherited from class SaveablePartAdapter

`addPropertyListener, doSaveAs, getAdapter, getSite, getTitleToolTip, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistoryPageSaveablePart

@Deprecated public HistoryPageSaveablePart(Shell shell, CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)
Deprecated.
Create a history page part for the given page and object.

Parameters:
  `shell` - the parent shell
  `configuration` - the compare configuration
  `pageSource` - the page source
  `object` - the object whose history is to be displayed

## Method Details

### showHistoryInDialog

@Deprecated public static boolean showHistoryInDialog(Shell shell, Object object)
Deprecated.
Show the history for the object in a dialog. The history will only be shown if an `IHistoryPageSource` can be found for the object.

Parameters:
  `shell` - the parent sell
  `object` - the object
Returns:
  whether the object had an `IHistoryPageSource` available or not

### getTitle

@Deprecated public String getTitle()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Returns the title of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title is used to populate the title bar of this part's visual container.

Returns:
  the workbench part title (not `null`)

### getTitleImage

@Deprecated public Image getTitleImage()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Returns the title image of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title image is usually used to populate the title bar of this part's visual container. Since this image is managed by the part itself, callers must not dispose the returned image.

Returns:
  the title image

### contentChanged

@Deprecated public void contentChanged(IContentChangeNotifier source)
Deprecated.
Description copied from interface: `IContentChangeListener`
Called whenever the content of the given source has changed.

Parameters:
  `source` - the source whose contents has changed

### createPage

@Deprecated protected Control createPage(Composite parent, ToolBarManager toolBarManager)
Deprecated.
Description copied from class: `PageSaveablePart`
Create the page for this part and return the top level control for the page.

Specified by:
  `createPage` in class `PageSaveablePart`
Parameters:
  `parent` - the parent composite
  `toolBarManager` - the toolbar manager for the page
Returns:
  the top-level control for the page

### getSelectionProvider

@Deprecated protected final ISelectionProvider getSelectionProvider()
Deprecated.
Description copied from class: `PageSaveablePart`
Return the selection provider for the page. This method is called after the page is created in order to register a selection listener on the page.

Specified by:
  `getSelectionProvider` in class `PageSaveablePart`
Returns:
  the selection provider for the page

### getCompareInput

@Deprecated protected ICompareInput getCompareInput(ISelection selection)
Deprecated.
Description copied from class: `PageSaveablePart`
Return a compare input that represents the selection. This input is used to feed the structure and content viewers. By default, a compare input is returned if the selection is of size 1 and the selected element implements `ICompareInput`. Subclasses may override.

Overrides:
  `getCompareInput` in class `PageSaveablePart`
Parameters:
  `selection` - the selection
Returns:
  a compare input representing the selection

### prepareInput

@Deprecated protected void prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor) throws InvocationTargetException
Deprecated.
Description copied from class: `PageSaveablePart`
Prepare the compare input for display in a content viewer. This method is called from `PageSaveablePart.prepareCompareInput(ICompareInput)` and may be called from a non-UI thread. This method should not be called by others.

Specified by:
  `prepareInput` in class `PageSaveablePart`
Parameters:
  `input` - the input
  `configuration` - the compare configuration
  `monitor` - a progress monitor
Throws:
  `InvocationTargetException` - if an error occurs

### dispose

@Deprecated public void dispose()
Deprecated.
Description copied from interface: `IWorkbenchPart`
Disposes of this workbench part.

This is the last method called on the `IWorkbenchPart`. At this point the part controls (if they were ever created) have been disposed as part of an SWT composite. There is no guarantee that createPartControl() has been called, so the part controls may never have been created.

Within this method a part may release any resources, fonts, images, etc. held by this part. It is also very important to deregister all listeners from the workbench.

Clients should not call this method (the workbench calls this method at appropriate times).

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `SaveablePartAdapter`